-- Create CRM table
PROMPT Creating CRM Table;
create table CEM_GPRS_CRM (
	DUMMY_CRM_ID NUMBER,
       	NAME VARCHAR2(64),
       	ADDRESS VARCHAR2(64),
       	ACCOUNT VARCHAR2(64),
       	PHONE VARCHAR2(64),
 	IMSI NUMBER
);

-- Create CRM indexes
PROMPT Creating CRM indexes;
CREATE INDEX cem_idx_cem_gprs_crm_name ON CEM_GPRS_CRM(name);
CREATE INDEX cem_idx_cem_gprs_crm_acct ON CEM_GPRS_CRM(account);
CREATE INDEX cem_idx_cem_gprs_crm_phone ON CEM_GPRS_CRM(phone);
CREATE INDEX cem_idx_cem_gprs_crm_imsi ON CEM_GPRS_CRM(imsi);

-- Insert CRM information
PROMPT Inserting CRM information;
insert into CEM_GPRS_CRM (DUMMY_CRM_ID, NAME, ADDRESS, ACCOUNT, PHONE, IMSI)
VALUES (1,'Paul Villiers','Address1','Account1','12300000001',206010000000000);

insert into CEM_GPRS_CRM (DUMMY_CRM_ID, NAME, ADDRESS, ACCOUNT, PHONE, IMSI)
VALUES (2,'Laura Jones','Address2','Account2','12300000002',206200000000000);

insert into CEM_GPRS_CRM (DUMMY_CRM_ID, NAME, ADDRESS, ACCOUNT, PHONE, IMSI)
VALUES (3,'Bob Murphy','Address3','Account3','12300000003',272030000000000);

insert into CEM_GPRS_CRM (DUMMY_CRM_ID, NAME, ADDRESS, ACCOUNT, PHONE, IMSI)
VALUES (4,'Jimmy Coughlan','Address4','Account4','12300000004',505010000000000);

commit;
